function lineh(value,varargin)
% lineh 
%   lineh draws a horizontal line

%   Project: IMPACT
%   Title of Code: lineh
%   Relevant additional documentation:
%   Developer: Carlos Gonzalez
%   External Dependencies: NA
%
%   Disclaimer
%   CAUTION: It is strongly recommended that changes to this code
%   should be avoided without first consulting with authors.


xl=get(gca,'xlim');
for i=1:length(value)
    if nargin>1
        line([xl(1) xl(2)],value(i),'color',varargin{1});
    else
        line([xl(1) xl(2)],[value(i) value(i)])
    end
end
